
<% skip_fieldset = false if not skip_fieldset %>

<%= form_for quoterecord, :url=>{action: "create"}, :method=>:POST do |f| %>
 <% if not skip_fieldset %>
  <fieldset id='quoterecord'>
    <legend><% if f.object.id  %>Edit <% else %>Add new<% end %>Quote Record<%= if f.object.id then ' #%i'%f.object.id end %></legend>
    <% if f.object.id  %><span><b><%= f.object.Quote.last %></b> on <%= smr_humanize f.object.Quote.time_last %></span><% end %>
 <% end %>
    <%= f.hidden_field :id %>
    <%= f.hidden_field :id_security %>
    <%= f.hidden_field :id_quote %>
    <%= f.select :column, Quoterecord.get_columns.collect{|c| [Quoterecord.translate_column(c), c] }, :prompt=>'-- Select Column --' %>
    <%= f.text_field :comment, placeholder: 'Comment' %>
    <%= f.check_box :is_pivotal_point %><%= f.label :is_pivotal_point, 'Pivotal Point' %>
    <%= f.check_box :is_uphit %><%= f.label :is_uphit, 'UP hit' %>
    <%= f.check_box :is_downhit %><%= f.label :is_downhit, 'DOWN hit' %>
    <%= f.check_box :is_signal %><%= f.label :is_signal, 'Signal' %>
    <%= f.submit (if f.object.id then 'save' else 'record this one' end) %>
 <% if not skip_fieldset %>
  </fieldset>
 <% end %>
<% end %>
